function optimfields = optimoptiongetfields
%OPTIMOPTIONGETFIELDS returns fieldnames of options in Optimization Toolbox.
%
% This function returns fieldnames of options in Optimization Toolbox 
% but not in MATLAB.
%
% This is a helper function for OPTIMSET and OPTIMGET.

%   OPTIMFIELDS = OPTIMOPTIONGETFIELDS returns a cell array OPTIMFIELDS of the 
%   fieldnames of options in the Optimization Toolbox but not in MATLAB. 
%
%   See also OPTIMSET, OPTIMGET.

%   Copyright 1990-2007 The MathWorks, Inc. 
%   $Revision: 1.1.4.6.2.1 $  $Date: 2008/01/21 15:54:30 $

optimfields =   {...
    'ActiveConstrTol'; ...
    'Algorithm'; ...
    'AlwaysHonorConstraints'; ...
    'BranchStrategy'; ...
    'DerivativeCheck'; ...
    'Diagnostics'; ...
    'DiffMaxChange'; ...
    'DiffMinChange'; ...
    'FinDiffType'; ...
    'GoalsExactAchieve'; ...
    'GradConstr'; ...
    'GradObj'; ...
    'HessFcn'; ...
    'Hessian'; ...
    'HessMult'; ...
    'HessPattern'; ...
    'HessUpdate'; ...
    'InitialHessType'; ...
    'InitialHessMatrix'; ...
    'InitBarrierParam'; ...
    'InitTrustRegionRadius'; ...
    'Jacobian'; ...
    'JacobMult'; ...
    'JacobPattern'; ...
    'LargeScale'; ...
    'LevenbergMarquardt'; ...
    'LineSearchType'; ...
    'MaxNodes'; ...
    'MaxPCGIter'; ...
    'MaxProjCGIter'; ...    
    'MaxRLPIter'; ...
    'MaxSQPIter'; ...
    'MaxTime'; ...
    'MeritFunction'; ...
    'MinAbsMax'; ...
    'NodeDisplayInterval'; ...
    'NodeSearchStrategy'; ...
    'NonlEqnAlgorithm'; ...
    'NoStopIfFlatInfeas'; ... 
    'ObjectiveLimit'; ...
    'PhaseOneTotalScaling'; ...
    'Preconditioner'; ...
    'PrecondBandWidth'; ...
    'RelLineSrchBnd'; ...
    'RelLineSrchBndDuration'; ...
    'ScaleProblem'; ...
    'ShowStatusWindow'; ...
    'Simplex'; ...
    'SubproblemAlgorithm'; ...
    'TolCon'; ...
    'TolConSQP'; ...    
    'TolGradCon'; ...
    'TolPCG'; ...
    'TolProjCG'; ...
    'TolProjCGAbs'; ...
    'TolRLPFun'; ...
    'TolXInteger'; ...
    'TypicalX'; ...
    'UseParallel'};
